Greece Utility
3 min
Verifies input data against Utility data obtained from the partnered sources from Greece.
For Authorization Get Session Token from Authentication page.
Greece Utility
Multilingual input -- Both English and Greek script are supported as input for the name and address fields. Numbers should be given in English digits. Example: "Ραιδεστού 111" as the street level address input.
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name, Street and Post Code
* Verifies – Name, DOB, Address
* Returned Data - the match score for each name and/or address element (if configured)
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- dateOfBirthstringDescription
- addressElement1stringrequiredDescription
- addressElement3stringDescription
- addressElement5stringrequiredDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement5boolean
- dateOfBirthboolean
- firstNameboolean
- genderboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- taxIDNoboolean
- returnedDataobjectDescription
- altAddressMatchScoreobjectDescription
- addressElement1string
- addressElement3string
- addressElement4string
- addressElement5string
- altNameMatchScoreobjectDescription
- firstNamestring
- lastNamestring
- middleNamestring
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzNDYyNDQ4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NjQ2MTUsImV4cCI6MTc0MzQ5MTI0OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.D_mGA78PBG_p_wYy-JcKCy28Rk8CX_U0IADn8DeEL8aSw3cnusbiDefJIqE_j74QcKu0IXNNpE-9SoQUSL8fAg' \
--data '{
"countryCode": "GR",
"service": [
"Greece Utility"
],
"clientReference": "Test-01",
"firstName": "Κοτρατσιιοσ", //Kotratsios
"lastName": "Πετροσ", //Petros
"dateOfBirth": "1985-02-09",
"addressElement1": "Papagou 3",
"addressElement3": "ΑΡΝΑΙΑ",
"addressElement5": "63074"
}'200
{
"countryCode": "GR",
"clientReference": "EG-01",
"reportingReference": "DZ-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Greece Utility": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"lastName": true,
},
"returnedData": {}
}
},
"remarks": []
404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 1 April, 2025